Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class Manifest

    java.lang.Object
      com.bbn.openmap.tools.beanbox.Manifest

public class Manifest
extends java.lang.Object

Constructor Summary
`Manifest()`
`Manifest(byte[] bytes)`
`Manifest(java.io.InputStream is)` Parse a manifest from a stream
`Manifest(java.lang.String[] files)`

Method Summary
`void` | `addEntry(MessageHeader entry)`
`void` | `addFile(java.io.File f)`
`void` | `addFiles(java.io.File dir, java.lang.String[] files)`
`java.util.Enumeration` | `entries()`
`MessageHeader` | `entryAt(int i)`
`MessageHeader` | `getEntry(java.lang.String name)`
`static boolean` | `isManifestName(java.lang.String name)`
`void` | `stream(java.io.OutputStream os, java.util.Vector extraFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Manifest

    public Manifest()

### Manifest

    public Manifest(byte[] bytes)
             throws java.io.IOException

### Manifest

    public Manifest(java.io.InputStream is)
             throws java.io.IOException

  Parse a manifest from a stream

### Manifest

    public Manifest(java.lang.String[] files)
             throws java.io.IOException

Method Detail

### addEntry

    public void addEntry(MessageHeader entry)

### getEntry

    public MessageHeader getEntry(java.lang.String name)

### entryAt

    public MessageHeader entryAt(int i)

### entries

    public java.util.Enumeration entries()

### addFiles

    public void addFiles(java.io.File dir,
                         java.lang.String[] files)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFile

    public void addFile(java.io.File f)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### stream

    public void stream(java.io.OutputStream os,
                       java.util.Vector extraFiles)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### isManifestName

    public static boolean isManifestName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details